curl --request GET \
--url https://client-api.dev.finhost.io/client \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.dev.finhost.io/client"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.dev.finhost.io/client', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "John",
"surname": "Doe",
"nationality": "UKR",
"birthday": "2017-07-21",
"phone": "+380689873682",
"client": "73f86631-3aa8-4df3-a769-ed820761da8c",
"adm": "adm:active",
"kyc": "kyc:unconfirmed",
"verifier": "sumsub",
"applicant": "628f44511a86170001268e99",
"agent": "39eab26c-8788-4375-810c-9807aaf98191",
"context": "profile",
"created": "2022-07-06T13:42:24.094Z",
"updated": "2022-07-06T13:42:24.094Z",
"contract": "BasicContract",
"termsVersion": "2022-07-06T13:42:24.094Z",
"termsAcceptedTs": "2022-07-06T13:42:24.094Z",
"address": {
"country": "USA",
"postCode": "23453",
"town": "Boston",
"street": "Bandery 17",
"streetLine2": "sub street",
"state": "DE"
}
}Receive information about the client
Client info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 response
Client name
1 - 15"John"
Client surname
1 - 30"Doe"
Country ISO 3166-1 Alpha-3 code
3"UKR"
Client birthday in RFC 3339 (section 5.6)
"2017-07-21"
Customer phone number
"+380689873682"
Internal client ID
"73f86631-3aa8-4df3-a769-ed820761da8c"
Administrative status
adm:active, adm:blocked, adm:suspended "adm:active"
Verification status
kyc:unconfirmed, kyc:confirmed, kyc:pending, kyc:rejected, kyc:resubmission "kyc:unconfirmed"
The service that verifies an applicant
"sumsub"
Applicant ID in the verification service
"628f44511a86170001268e99"
Internal agent ID
"39eab26c-8788-4375-810c-9807aaf98191"
Subset of the client information
"profile"
When the client profile was created in RFC 3339 (section 5.6)
"2022-07-06T13:42:24.094Z"
Time of the last update in RFC 3339 (section 5.6)
"2022-07-06T13:42:24.094Z"
User contract
"BasicContract"
User terms version accepted
"2022-07-06T13:42:24.094Z"
User terms accepted timestamp
"2022-07-06T13:42:24.094Z"
Show child attributes
Show child attributes